package ij2x.util;

import java.awt.Component;
import java.net.URL;
import java.util.MissingResourceException;
import java.util.ResourceBundle;
import java.util.StringTokenizer;
import java.util.Vector;

/**
 * <p>Title: </p>
 *
 * <p>Description: </p>
 *
 * <p>Copyright: Copyright (c) 2012</p>
 *
 * <p>Company: </p>
 *
 * @author not attributable
 * @version 1.0
 */
public class ResourceString {

    private static ResourceBundle sresources;
    public static String getResourceString(ResourceBundle resources, String nm) {
       sresources=resources;
       String str;
       try {
           str = resources.getString(nm);
       } catch (MissingResourceException mre) {
           str = null;
       }
       return str;
   }

     public static URL getResource(Component panel, String key) {
        String name = getResourceString(sresources, key);
        if (name != null) {
            URL url = panel.getClass().getResource(name);
            return url;
        }
        return null;
    }

    /**
     * Take the given string and chop it up into a series
     * of strings on whitespace boundaries.  This is useful
     * for trying to get an array of strings out of the
     * resource file.
     */
     public static String[] tokenize(String input) {
        Vector<String> v = new Vector<String>();
        StringTokenizer t = new StringTokenizer(input);
        String cmd[];

        while (t.hasMoreTokens()){
            v.addElement(t.nextToken());
        }
        cmd = new String[v.size()];
        for (int i = 0; i < cmd.length; i++){
            cmd[i] = v.elementAt(i);
        }
        return cmd;
    }

}
